If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

mochitests-1/5: intermittent "test_seek.html | Test timed out"

RESOLVED FIXED in mozilla2.0b8

Status

()

Core
Audio/Video
RESOLVED FIXED
8 years ago
5 years ago

People

(Reporter: masayuki, Assigned: cpearce)

Tracking

({intermittent-failure})

Trunk
mozilla2.0b8
x86
All
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(status1.9.2 ?)

Details

(Whiteboard: [test disabled on Windows on m-1.9.2], URL)

Attachments

(1 attachment, 1 obsolete attachment)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247263303.1247271622.7840.gz#err0

28950 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: send seeking event
28951 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: send seeked event
28952 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Checking playback has ended
28953 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Checking currentTime at end: 1
28954 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeking should default to false
28955 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeking should be readonly
28956 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: currentTime clamped to 0
28957 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Setting currentTime to invalid value of NaN
28958 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Setting currentTime to invalid value of a function
28959 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Video currentTime should be around 1.983: 1.9989999532699585
28960 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: currentTime 3.9660000801086426 close to 3.9660000801086426
28961 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Video currentTime should be around 1.983: 1.9989999532699585
28962 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Seek 1
28963 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Second seek on target: 0.9990000128746033
28964 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Seek 2
28965 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Got seeking event
28966 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Got seeked event
28967 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: send seeking event
28968 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: send seeked event
28969 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Checking playback has ended
28970 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: Checking currentTime at end: 3.999333143234253
28971 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeking event
28972 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeked event
28973 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeking flag on start should be true
28974 INFO TEST-PASS | /tests/content/media/test/test_seek.html | undefined: seeking flag on end should be false

command timed out: 300 seconds without output
program finished with exit code 1
elapsedTime=730.000000
TinderboxPrint: mochitest-plain<br/><em class="testfail">T-FAIL</em>
buildbot.slave.commands.TimeoutError: command timed out: 300 seconds without output
TinderboxPrint: mochitest-plain<br/><em class="testfail">timeout</em>
=== Output ended ===
Whiteboard: [orange]
This might not be random failure because this was reproduced at 3 times continuously.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247254642.1247259266.1371.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247263303.1247271622.7840.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247269581.1247275973.22236.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247304602.1247308868.17573.gz
This is a pretty common source of orange on windows at the moment: it has failed 12 times in the last 36 hours.

As far as I can see the first failure was with http://hg.mozilla.org/mozilla-central/rev/be001dd56987.

That said, I wouldn't bet against http://hg.mozilla.org/mozilla-central/rev/733da596957f - that went in as part of a large commit which caused various bustage. That first failure above is only the second cycle after the bustage was cleaned up.
The seek tests were disabled on Windows before, I reenabled them when I reorganized the tests, but apparently they're still flaky on Windows so I've just disabled them again:
http://hg.mozilla.org/mozilla-central/rev/7af664c51908
oh, on mac, similar failure happened:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247652050.1247657688.27717.gz
And another one on mac:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1247660630.1247664626.8792.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1248088085.1248094842.20776.gz
OS X 10.5.2 mozilla-central unit test on 2009/07/20 04:08:05  
28960 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
Blocks: 438871
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1248364091.1248367234.16641.gz
OS X 10.5.2 mozilla-central unit test on 2009/07/23 08:48:11  

28964 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1248485629.1248491392.16782.gz
OS X 10.5.2 mozilla-central unit test on 2009/07/24 18:33:49
... | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]

Comment 10

8 years ago
OS X 10.5.2 mozilla-central test mochitests on 2009/07/28 16:25:40  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1248823540.1248825929.15729.gz

28981 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1249099988.1249102421.15320.gz

Error 0 (Unknown error: 0).27724 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
27727 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek2.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1249267855.1249270977.4324.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1249604682.1249611220.5929.gz
OS X 10.5.2 mozilla-central unit test
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1249726350.1249734678.8869.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/08 03:12:30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1249903782.1249906266.18132.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250089140.1250095846.4295.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1250151391.1250153271.4289.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/08/13 01:16:31  
29339 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250195035.1250200642.31009.gz
Summary: timeout at /tests/content/media/test/test_seek.html → timeout at /tests/content/media/test/test_seek.html / "An error occurred: [ [object ProgressEvent] ]"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250285309.1250288667.31050.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/14 14:28:29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1250625251.1250626767.6159.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/08/18 12:54:11

... | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: [ [object ProgressEvent] ]
(no timeout)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1250670720.1250678652.27897.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250793529.1250798301.25804.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/20 11:38:49
Depends on: 475369
OS: Windows Vista → All
Whiteboard: [orange] → [test disabled on Windows] [orange]
Depends on: 511888
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1250861057.1250866101.18665.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/21 06:24:17
No longer depends on: 511888
(In reply to comment #0)
> TEST-PASS | ... | undefined: [...]

While there, this test seems to have something wrong in its logs:
what's this 'undefined'?


(In reply to comment #4)
> they're still flaky on Windows so I've just disabled them again:

Unless some progress is made soon, I'll disable this test on MacOSX too...
(At least until bug 475369 is solved...)


(In reply to comment #7)
> [...] An error occurred: [ [object ProgressEvent] ]

(While working on bug 511888, a question occurred to me:)
Isn't it unexpected that the reported value is '[object ProgressEvent]' and not an "error string" (as 'window.onerror' is supposed to receive, iiuc)?
Summary: timeout at /tests/content/media/test/test_seek.html / "An error occurred: [ [object ProgressEvent] ]" → mochitest-plain: test_seek.html, intermittent timeout on Windows and "An error occurred - [object ProgressEvent]" on MacOSX
OS X 10.5.2 mozilla-1.9.2 unit test on 2009/08/24 11:33:02http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1251138782.1251142663.2662.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/08/28 15:16:28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1251497788.1251499340.21085.gz
OS X 10.5.2 mozilla-central unit test on 2009/08/31 09:35:38  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251736538.1251741190.24854.gz&fulltext=1
Depends on: 513854
OS X 10.5.2 mozilla-central unit test on 2009/09/01 12:51:54
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251834714.1251837848.9337.gz
OS X 10.5.2 mozilla-central unit test on 2009/09/02 06:46:51  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251899211.1251903138.16410.gz
OS X 10.5.2 mozilla-central test mochitests
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252064664.1252066150.7180.gz

Comment 31

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252089658.1252091993.17886.gz&fulltext=1

OS X 10.5.2 mozilla-central test mochitests
OS X 10.5.2 mozilla-central test mochitests
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252291737.1252293255.6094.gz
Bug 515158 might be the same problem but for test_mixed_principals.html
Blocks: 515158

Comment 34

8 years ago
OS X 10.5.2 mozilla-central test opt mochitests [testfailed] Started 09:11, finished 09:38

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1255709482.1255711024.29329.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256565509.1256566217.19159.gz
OS X 10.5.2 mozilla-central test mochitests-1/5 on 2009/10/26 06:58:29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256543588.1256544300.20148.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/10/26 00:53:08
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256655182.1256655624.29921.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/10/27 07:53:02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256666044.1256666708.28501.gz
OS X 10.5.2 mozilla-central test mochitests-1/5 on 2009/10/27 10:54:04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256953949.1256954678.7047.gz
OS X 10.5.2 mozilla-central test mochitests-1/5 on 2009/10/30 18:52:29

(In reply to comment #24)

Could someone answer/process that comment?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257128878.1257129742.18755.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/11/01 18:27:58
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257188203.1257189055.8664.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/11/02 10:56:43
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2009/11/03 20:54:47
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1257310487.1257313039.15932.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257381685.1257382933.2558.gz
OS X 10.5.2 mozilla-central test opt mochitests-1/5 on 2009/11/04 16:41:25
OS X 10.5.2 mozilla-central test mochitests-1/5 on 2009/11/05 13:34:02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257456842.1257457514.5659.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258129249.1258130269.418.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1258141928.1258144941.11256.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258230668.1258231101.9818.gz
OS X 10.5.2 mozilla-central opt test mochitests-1/5 on 2009/11/14 12:31:08
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259068811.1259069215.19788.gz
OS X 10.5.2 mozilla-central opt test mochitests-1/5 on 2009/11/24 05:20:11
s: bm-xserve17
41300 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - [object ProgressEvent] at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259239402.1259240064.24160.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260935120.1260935832.12885.gz
OS X 10.5.2 mozilla-central opt test mochitests-1/5 on 2009/12/15 19:45:20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261452944.1261453588.24089.gz
OS X 10.5.2 mozilla-central test mochitests-1/5 on 2009/12/21 19:35:44
s: moz2-darwin9-slave02

41338 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - [object ProgressEvent] at undefined:undefined
41343 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek2.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - [object ProgressEvent] at undefined:undefined
41346 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_source.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - [object ProgressEvent] at undefined:undefined

Comment 52

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262678993.1262679386.335.gz
s: bm-xserve0941642 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - [object ProgressEvent] at undefined:undefined

Comment 53

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262780884.1262781459.21466.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262813149.1262814172.27586.gz
OS X 10.5.2 mozilla-central opt test mochitests-1/5 on 2010/01/06 13:25:49
s: moz2-darwin9-slave23
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274687900.1274690961.29502.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/05/24 00:58:20

s: talos-r3-fed64-016
47255 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress2.html | Test timed out.
47287 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_progress4.html | Test timed out.
47295 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_reactivate.html | Test timed out.
47319 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
47320 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
47321 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 85 remaining tests.
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
PROCESS-CRASH | automation.py | application crashed (minidump found)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
The timeout isn't only on Windows. And I think that "An error occurred" should probably be another bug...
Summary: mochitest-plain: test_seek.html, intermittent timeout on Windows and "An error occurred - [object ProgressEvent]" on MacOSX → mochitest-plain: test_seek.html, intermittent timeout and "An error occurred - [object ProgressEvent]" on MacOSX
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281161313.1281162245.9307.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2010/08/06 23:08:33

s: talos-r3-fed-006
53007 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281553892.1281555800.25509.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/08/11 12:11:32
s: talos-r3-fed64-028

52947 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282269890.1282272477.23506.gz
Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2010/08/19 19:04:50

s: talos-r3-fed-018
55531 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
TEST-UNEXPECTED-FAIL | Shutdown | application timed out after 330 seconds with no output
PROCESS-CRASH | Shutdown | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
The ProgressEvent seems to have gone away in January (and this current timeout is probably a different one, since it was virtually gone all spring, and then came back strong at the end of July).
Summary: mochitest-plain: test_seek.html, intermittent timeout and "An error occurred - [object ProgressEvent]" on MacOSX → Intermittent test_seek.html | Test timed out
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: Intermittent test_seek.html | Test timed out → [test disabled on Windows] Intermittent test_seek.html | Test timed out
Duplicate of this bug: 509509
Summary: [test disabled on Windows] Intermittent test_seek.html | Test timed out → [test disabled on Windows] mochitests-1/5: intermittent "test_seek.html | Test timed out"
This test is no longer disabled on Windows.
Summary: [test disabled on Windows] mochitests-1/5: intermittent "test_seek.html | Test timed out" → mochitests-1/5: intermittent "test_seek.html | Test timed out"
Whiteboard: [test disabled on Windows] [orange] → [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to comment #88)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282705307.1282708202.14667.gz
> Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/08/24
> 20:01:47

http://brasstacks.mozilla.com/topfails/test/Firefox?name=/tests/content/media/test/test_seek.html
Oddly, TopFails doesn't list FF failures reported here by TBPL Robot,
and lists "2010-08-24 16:22 Firefox Rev3 Fedora 12x64" which is not reported here :-/
Depends on: 565307
(In reply to comment #105)
> This test is no longer disabled on Windows.

Right, bug 531340 reenabled it on 2.0+.

(In reply to comment #107)
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1283898674.1283903860.16928.gz
> WINNT 5.2 tracemonkey debug test mochitests-1/5 on 2010/09/07 15:31:14

Fwiw, this was the only WINNT report here.
Depends on: 531340
Whiteboard: [orange] → [orange] [test disabled on Windows on m-1.9.2]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to comment #132)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1286488950.1286492315.25544.gz
> Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2010/10/07 15:02:30

This is pulseaudio never returning from an audio write again. We need pulseaudio updated on the mochitest machines to reduce this failure on Linux.
Depends on: 574190
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Pushed some debug logging to help diagnose which tests are failing:
http://hg.mozilla.org/mozilla-central/rev/5696f9ba01ad
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
The last 4 reports end with
{
...
SEEK-TEST: Started bug516323.indexed.ogv seek test 11
SEEK-TEST: Started split.webm seek test 1
57903 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking should default to false
57904 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking should be readonly - true should equal true
57905 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: Video currentTime should be around 0.9835: 0.9829999804496765
57906 INFO TEST-PASS | /tests/content/media/test/test_seek.html | bug516323.indexed.ogv seek test 11: Seek to wrong destination 2.1040000915527344
57907 INFO TEST-PASS | /tests/content/media/test/test_seek.html | bug516323.indexed.ogv seek test 11: Seek to wrong destination 2.1040000915527344
57908 INFO TEST-PASS | /tests/content/media/test/test_seek.html | bug516323.indexed.ogv seek test 11: Successfully seeked to nonzero
57909 INFO TEST-PASS | /tests/content/media/test/test_seek.html | bug516323.indexed.ogv seek test 11: Seek back to zero was successful
SEEK-TEST: Finished bug516323.indexed.ogv seek test 11
57910 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_seek.html | Test timed out.
57911 INFO TEST-END | /tests/content/media/test/test_seek.html | finished in 327603ms
}
Linux (but not MacOSX) have 'SCREENSHOT: data:image/png;base64,...' too,
but I don't think they are of any help here.

***

'SEEK-TEST: Started split.webm seek test 1' doesn't complete:
'split.webm seek test 1: seeking event' doesn't happen!

A success log looks like
{
SEEK-TEST: Started split.webm seek test 1
57197 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking should default to false
57198 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking should be readonly - true should equal true
57199 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: Video currentTime should be around 0.9835: 0.9829999804496765
57201 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking event
57202 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeked event
57203 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking flag on start should be true
57204 INFO TEST-PASS | /tests/content/media/test/test_seek.html | split.webm seek test 1: seeking flag on end should be false
SEEK-TEST: Finished split.webm seek test 1
}
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Created attachment 486817 [details] [diff] [review]
Patch - Ensure the decoder doesn't sleep forever after filling its buffers when paused.

Most but not all of these failures are in seek1.js, in split.webm. If I focus on those tests, I can reproduce this timeout. 

The seek1.js test does the following:

Load, play(), seek somewhere. In the 'seeking' event handlder, pause(). In the 'seeked' handler, play(). In the 'ended' event handler finish the test.

So during the seek operation we'll be paused. Also when the decoder thread has decoded enough to fill its buffers, the decoder will sleep (end of DecodeLoop()). The decoder runs while we're paused.

In the 'seeked' handler we call play() to start playing. But in the time between the 'seeked' event being dispatched, and it being run, we were paused, and the decoder thread was running. If the decoder's buffers filled up, the decoder will have put itself to sleep. Unfortunately we're not notifying the decoder monitor in AdvanceFrame(), so when the we start playing, the state machine will consume all its frames, and the decoder will never wake up and produce anymore, so we'll be stuck. (Usually we'd rely on the audio push thread notifying the decoder monitor to awaken the decoder thread, but some of these test cases are video only).

So we need to notify the decoder monitor in AdvanceFrame(). If I do that, test_seek doesn't timeout (locally on Windows for me anyway).
Assignee: nobody → chris
Status: NEW → ASSIGNED
Attachment #486817 - Flags: review?(chris.double)
Created attachment 486825 [details] [diff] [review]
Patch - Ensure the decoder doesn't sleep forever after filling its buffers when paused (v2)
[Checked in: Comment 280]

There was another NotifyAll() a few lines above, which wasn't happening often enough to be sufficient, we can remove that, since it doesn't notify in all cases that we need to.
Attachment #486817 - Attachment is obsolete: true
Attachment #486825 - Flags: review?(chris.double)
Attachment #486817 - Flags: review?(chris.double)

Updated

7 years ago
Attachment #486825 - Flags: review?(chris.double) → review+
Comment hidden (Treeherder Robot)
Comment on attachment 486825 [details] [diff] [review]
Patch - Ensure the decoder doesn't sleep forever after filling its buffers when paused (v2)
[Checked in: Comment 280]

Requesting approval2.0, for landing once tree opens after beta7.
Attachment #486825 - Flags: approval2.0?
Attachment #486825 - Flags: approval2.0? → approval2.0+
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
http://hg.mozilla.org/mozilla-central/rev/5fa5e4db20f7
There have been no failures of this since landing on m-c a few day ago, so it looks like we fixed it.
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
status1.9.2: --- → ?
Target Milestone: --- → mozilla2.0b8
Attachment #486825 - Attachment description: Patch - Ensure the decoder doesn't sleep forever after filling its buffers when paused (v2). → Patch - Ensure the decoder doesn't sleep forever after filling its buffers when paused (v2) [Checked in: Comment 280]

Updated

7 years ago
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(In reply to comment #282)
> dao%mozilla.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1291036660.1291038945.15767.gz
> Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/11/29
> 05:17:40

(In reply to comment #283)
> ehsan%mozilla.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1291043777.1291046140.21083.gz
> Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/11/29
> 07:16:17

These are both instances of bug 615134, which is a different kind of timeout in test_seek which started occurring on Linux64 only. I've added these failure logs there, and re-closing this bug.

Timeouts of test_seek on Linux64 should be logged in bug 615134, if a failure occurs on another platforms, please file a new bug.
Status: REOPENED → RESOLVED
Last Resolved: 7 years ago7 years ago
Resolution: --- → FIXED
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Keywords: intermittent-failure
Whiteboard: [orange] [test disabled on Windows on m-1.9.2] → [test disabled on Windows on m-1.9.2]
You need to log in before you can comment on or make changes to this bug.